@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Playfair Display', sans-serif;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  font-size: 1.1em;
}

.main {
  flex: 1;
}

h1 {
  text-align: center;
  font-size: 1.5em;
}

h2 {
  margin-bottom: 1em;
}

.main p {
  margin-bottom: 1em;
}

li {
  margin-left: 14px;
}

a {
  color: black;
  text-decoration: none;
  -webkit-tap-highlight-color: transparent !important;
}

hr {
  border-top: 2px solid black;
}

img {
  object-fit: contain;
}

.img {
  height: auto;
  max-width: 100%;
}

.navbar {
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  position: relative;
  top: 0;
  z-index: 999;
}

.navbar__container {
  display: flex;
  justify-content: space-between;
  height: 80px;
  z-index: 1;
  width: 100%;
  max-width: 1300px;
  margin:auto;
  padding: 0 50px;
}

#navbar__logo {
  background-color: transparent;
  background-size: 100%;
  min-width: 200px;
  min-height: auto;
  display: flex;
  align-items: center;
  cursor: pointer;
  text-decoration: none;
  font-size: 2rem;
}

.navbar_logo {
  min-height: auto;
  display: flex;
  align-items: center;
/*   padding-left: 10px; */
}

.navbar__menu {
  display: flex;
  align-items: center;
  list-style: none;
  text-align: center;
}

.navbar__item {
  height: 60px;
}

.navbar__links {
  color: black;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  padding: 0 1rem;
  height: 100%;
}

.navbar__links:hover {
  text-decoration: underline;
  transition: all 1s ease;
}

@media screen and (max-width: 960px) {
  .navbar__container {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    padding: 0;
  }

  .navbar__menu {
    display: grid;
    grid-template-columns: auto;
    margin: 0;
    width: 100%;
    position: absolute;
    top: -1000px;
    opacity: 0;
    transition: all 0.6s ease;
    height: 50vh;
    z-index: -1;
    background:black;
  }

  .navbar__links {
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
  }

  .navbar__links:hover {
    text-decoration: underline;
    transition: all 1s ease;
  }

  .navbar__menu.active {
    background: black;
    top: 100%;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 99;
    height: 60vh;
    min-height: 500px;
    font-size: 1.6rem;
  }

  #navbar__logo {
    padding-left: 25px;
  }

  .navbar__toggle {
    color: black;
  }

  .navbar__toggle .bar {
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.4s ease-in-out;
    background: white;
  }

  .navbar__item {
    text-align: center;
    padding: 2rem;
    width: 100%;
    display: table;
  }

  #mobile-menu {
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
  }

  .navbar__toggle .bar {
    display: block;
    cursor: pointer;
    background: black;
    
  }


  #mobile-menu.is-active .bar:nth-child(2) {
    opacity: 0;
  }

  #mobile-menu.is-active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }

  #mobile-menu.is-active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }

}

/* Psychologie page CSS */

.main {
  background-color: white;
}

.main__container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 3em 0.6fr 0.6fr;
  grid-gap: 1em;
  justify-self: center;
  justify-items: center;
  margin: 0 auto;
  height: auto;
  z-index: 1;
  width: 100%;
  max-width: 1100px;
}

#square-img {
  object-fit: cover;
  height: auto;
  max-width: 100%;
  min-width: 320px;
}

.main__content {
  justify-self: center;
  padding: 20px 20px;
  max-width: 50vh;
  list-style: none;
  text-align: left;
  min-width: 360px;
}

.main__content__title {
  grid-row-start: 1;
  grid-row-end: 2;
  grid-column-start: 1;
  grid-column-end: 3;
  text-align: center;
  height: fit-content;
  padding: 1em;
  text-decoration: underline;
}

@media screen and (max-width: 960px) {

  .main__container {
    display: grid;
    grid-template-columns: minmax(360px, 450px);
    justify-content: center;
  }

  .main__content__title {
/*   grid-row-start: 1;
  grid-row-end: 1;
  grid-column-start: 1; */
  grid-column-end: 1;
  text-align: center;
  height: fit-content;
  padding: 1em;
}

  .main__content + .main__content {
    border-top: 1px solid black;
}
}

/* Coaching etc CSS*/

.main__container2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 3em 1fr;
  grid-gap: 1em;
  justify-self: center;
  justify-items: center;
  margin: 0 auto;
  height: auto;
  width: 100%;
  max-width: 1300px;
}

.main__content2__title {
  grid-row-start: 1;
  grid-row-end: 2;
  grid-column-start: 1;
  grid-column-end: 3;
  text-align: center;
  height: fit-content;
  padding-top: 1em;
  text-decoration: underline;
}

.main__content2 {
  padding: 20px 20px;
  max-width: 50vh;
  list-style: none;
  text-align: left;
  min-width: 360px;
}

@media screen and (max-width: 960px) {

  .main__container2 {
    display: grid;
    grid-template-columns: minmax(360px, 450px);
    justify-content: center;
  }

  .main__content2__title {
/*   grid-row-start: 1;
  grid-row-end: 1;
  grid-column-start: 1; */
  grid-column-end: 1;
  text-align: center;
  height: fit-content;
  padding: 1em;
}

  .main__content2 + .main__content2 {
    border-top: 1px solid black;
}
}


/* footer CSS */

 .footer {
  display: block;
  height: 80px;
  width: 100%;
  color: black;
  justify-content: center;
  align-items: center;
  font-size: 1rem;
  z-index: 999;
  background-color: black;
}

.footer__container {
  display: flex;
  align-items: center;
  justify-content:space-between;
  text-decoration: none;
  list-style: none;
  padding: 1rem 1rem;
  max-width: 1300px;
  height: 100%;
  color: white;
  margin:auto;

}
 
.footer__item a {
  text-decoration: none;
  color: white;
}

#footer__logo {
  background-color: transparent;
  background-size: 100%;
  min-width: 240px;
  display: flex;
  align-items: center;
  text-decoration: none;
  font-size: 2rem;
  padding-left: 25px;
}

@media screen and (max-width: 960px) {

 .footer {
  display: flex;
  height: auto;
 }

 .footer__container {
  display: grid;
  grid-template-columns: minmax(360px, 1fr);
  grid-auto-columns: 1fr;
  justify-content: center;
  height: auto;
  z-index: 1;
  width: 100%;
  max-width: 1300px;
  padding: 0;
}

  .footer__item {
    text-align: center;
    justify-self: center;
    padding: 2rem;
    display: table;
    border-bottom: 1px solid white;
    text-decoration: none;
  }

  .footer__item a {
    text-decoration: none;
    color: white;
  }

  .footer__item:last-child {
    border-bottom: none;
  }

  #footer__logo {
    padding-left: 0px;
    width: 240px;
    height: 80px;
  }

  .footer {
    display: flex;
  }

}

/* index page CSS*/

.main__container__index {
  display: flex;
  flex-direction: column;
  height: 100vh;
  max-width: 1300px ;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 100%;
  height: 100%;
}

.index {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}
 
.container__index_items {
  max-width: 500px;
  min-height: auto;
  text-align: center;
}

#logo_animated {
  display:flex;
  align-items:center;
  justify-content:center;
/*   position:absolute;
  top: 25%;
  left: 50%; */
/*   transform: translate(-50%, -50%); */
  animation: fill 0.5s ease forwards 2s;
}

#logo_animated path:nth-child(1){
  stroke-dasharray: 1200; /* space */
  stroke-dashoffset: 1200; /* position */
  animation: line-animation 2s ease forwards;
}

@keyframes line-animation {
  to {
      stroke-dashoffset: 0;
  }
}

@keyFrames fill {
  from {
      fill: transparent;
  }
  to {
      fill: black;
  }
}


#map {
  padding: 30px 0;
}


/* Walloftext pages CSS */

.main__container3 {
  display: grid;
  grid-gap: 1em;
  justify-self: center;
  justify-items: center;
  margin: 0 auto;
  height: auto;
  width: 100%;
  max-width: 1300px;
}

.main__content3 {
  padding: 20px 20px;
  max-width: 90vh;
  list-style: none;
  text-align: justify;
  min-width: 360px;
}

#impressum {
	text-align: left;
}

@media screen and (max-width: 960px) {

  .main__container3 {
    display: grid;
    grid-template-columns: minmax(360px, 450px);
    justify-content: center;
  }
	

  .main__content3 {
	  text-align: left;
  }
}
	
/* index page CSS */

.container__index_items {
  padding: 10px 10px;
  min-width: 360px;
  text-decoration: none;
}

.container__index_items img {
  min-height: 55px;
  max-width: 360px;
  padding: 8px 8px;
}

.container__index_items a:link {
  text-decoration: none;
  font-size: 1.5em;
  font-weight: 600;
  border-bottom: 1px solid transparent;
}

.container__index_items a:visited {
  text-decoration: none;
  color: black;
}

.container__index_items a:hover {
  box-shadow: 0 2px 0 black;
/*   transition: 0.4s ease-in-out; */
}

.container__index_items a:active {
  text-decoration: none;
  color: black;
}

/*  table CSS */



#table_preis {
  border-collapse: collapse;
  th, td {
    border-bottom: 1px solid #ddd;
    padding: 5px;
  }
}


